> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/json-rpc-2.1/reference/subscriptions/update-end-user-information.md).

# Update end-user information

Use this method to add end-user information to a subscription.

## Parameters

<table><thead><tr><th width="261.4000244140625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, output of the Login method. An exception is thrown for incorrect values.</td></tr><tr><td><code>subscriptionReferencesList</code></td><td><strong>Required (stringArray)</strong></td></tr><tr><td><code>EndUser</code></td><td><strong>Object</strong><br>Details below</td></tr><tr><td><code>EndUser.FirstName</code></td><td><strong>String</strong><br>End user first name</td></tr><tr><td><code>EndUser.LastName</code></td><td><strong>String</strong><br>End user last name</td></tr><tr><td><code>EndUser.Company</code></td><td><strong>String</strong><br>End user company name. Can be NULL.</td></tr><tr><td><code>EndUser.CountryCode</code></td><td><strong>String</strong><br>End user country code (ISO 3166 two-letter code).</td></tr><tr><td><code>EndUser.State</code></td><td><strong>String</strong><br>End user state. Example: "Alabama". Can be NULL.</td></tr><tr><td><code>EndUser.Email</code></td><td><strong>String</strong><br>End user email.</td></tr><tr><td><code>EndUser.Fax</code></td><td><strong>String</strong><br>End user fax number. Can be NULL.</td></tr><tr><td><code>EndUser.City</code></td><td><strong>String</strong><br>End user city.</td></tr><tr><td><code>EndUser.Address1</code></td><td><strong>String</strong><br>End user address line 1. Can be NULL.</td></tr><tr><td><code>EndUser.Address2</code></td><td><strong>String</strong><br>End user address line 2. Can be NULL.</td></tr><tr><td><code>EndUser.Phone</code></td><td><strong>String</strong><br>End user phone number. Can be NULL.</td></tr><tr><td><code>EndUser.Zip</code></td><td><strong>String</strong><br>End user zip. Can be NULL.</td></tr><tr><td><code>EndUser.Language</code></td><td><strong>String</strong><br>ISO 639-1 two-letter language code for the end user language. Can be NULL.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner

$subscriptionReferencesList = array('REFERENCE_1', 'REFERENCE_2');

$endUser = new stdClass();
$endUser->FirstName = 'FirstName';
$endUser->LastName = 'LastName';
$endUser->CountryCode = 'US';
$endUser->Email = 'email@example.com';
$endUser->City = 'LA';

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'updateSubscriptionsEndUser',
'params' => array($sessionID, $subscriptionReferencesList, $endUser)
);

var_dump (callRPC((Object)$jsonRpcRequest,$host));
```

## Response parameters

<table><thead><tr><th width="116.2000732421875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>result</code></td><td><strong>Boolean</strong><br>True or false</td></tr></tbody></table>

## Errors

<table><thead><tr><th width="321.4000244140625">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>NOT_FOUND_PARTNER</strong></td><td>A partner must be set first.</td></tr><tr><td><strong>INVALID_SUBSCRIPTIONS_LIST_SIZE</strong></td><td>Too many subscription references provided.</td></tr><tr><td><strong>INVALID_COUNTRY</strong></td><td>Invalid end user country code.</td></tr><tr><td><strong>INVALID_END_USER_EMAIL</strong></td><td>Invalid end user email provided.</td></tr><tr><td><strong>EMPTY_END_USER_FIRST_NAME</strong></td><td>End user first name is mandatory.</td></tr><tr><td><strong>EMPTY_END_USER_LAST_NAME</strong></td><td>End user last name is mandatory.</td></tr><tr><td><strong>EMPTY_END_USER_CITY</strong></td><td>End user city is mandatory.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/json-rpc-2.1/reference/subscriptions/update-end-user-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
